Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: psad

Interfaces

### Description:

Intrusion Detection and Log Analysis with iptables.

### Interfaces:

psad_admin( domain , role )

##### Summary

All of the rules required to administrate an psad environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

psad_append_log( domain )

##### Summary

Append psad log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

psad_domtrans( domain )

##### Summary

Execute a domain transition to run psad.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

psad_manage_config( domain )

##### Summary

Create, read, write, and delete psad configuration content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

psad_read_config( domain )

##### Summary

Read psad configuration content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

psad_read_log( domain )

##### Summary

Read psad log content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

psad_read_pid_files( domain )

##### Summary

Read psad pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

psad_rw_fifo_file( domain )

##### Summary

Read and write psad fifo files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

psad_rw_pid_files( domain )

##### Summary

Read and write psad pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

psad_rw_tmp_files( domain )

##### Summary

Read and write psad temporary files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

psad_signal( domain )

##### Summary

Send generic signals to psad.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

psad_signull( domain )

##### Summary

Send null signals to psad.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return